clarcm.f(3)

NAME
clarcm.f

SYNOPSIS

  Functions/Subroutines
subroutine clarcm (M, N, A, LDA, B, LDB, C, LDC, RWORK)
CLARCM copies all or part of a real two-dimensional array to a complex array.

Function/Subroutine Documentation

  subroutine clarcm (integer M, integer N, real, dimension( lda, * ) A, integer LDA, complex, dimension( ldb, * ) B, integer LDB, complex, dimension( ldc, * ) C, integer LDC, real, dimension( * ) RWORK)

Purpose:

     CLARCM performs a very simple matrix-matrix multiplication:
              C := A * B,
     where A is M by M and real; B is M by N and complex;
     C is M by N and complex.

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A and of the matrix C.
              M >= 0.

    N

              N is INTEGER
              The number of columns and rows of the matrix B and
              the number of columns of the matrix C.
              N >= 0.

    A

              A is REAL array, dimension (LDA, M)
              On entry, A contains the M by M matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A. LDA >=max(1,M).

    B

              B is COMPLEX array, dimension (LDB, N)
              On entry, B contains the M by N matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B. LDB >=max(1,M).

    C

              C is COMPLEX array, dimension (LDC, N)
              On exit, C contains the M by N matrix C.

    LDC

              LDC is INTEGER
              The leading dimension of the array C. LDC >=max(1,M).

    RWORK

              RWORK is REAL array, dimension (2*M*N)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 113 of file clarcm.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.